from pymongo import MongoClient

client = MongoClient()
db = client['stats']
posts = db.posts


#data = posts.aggregate([{"$group": {"_id": {"week": {"$week": "$timestamp"}, "year": {"$year": "$timestamp"}}, "count": {"$avg": "$cpu_load"}}}])

#data = posts.aggregate([{ "$group": { "_id": {"$dayofmonth":{"date": "$timestamp", "timezone":'America/New_York'} }, "temp": { "$avg": "$cpu_load_1" } } }])

#data = posts.aggregate([{ "$group": { "_id": {"$hour":{"date": "$timestamp", "timezone":'America/New_York'} }, "temp": { "$avg": "$cpu_load_1" } } }])



data = posts.aggregate([
    {"$group": {
        "_id" : { "$concat": [
            {"$substr": [{"$year": "$timestamp"}, 0, 4 ]},
            "-",
            {"$substr": [{"$month": "$timestamp"}, 0, 2 ]},
            "-",
            {"$substr": [{"$dayOfMonth": "$timestamp"}, 0, 2 ]},
            " ",
            {"$substr": [{"$hour": "$timestamp"}, 0, 2 ]},
            ":",
            {"$substr": [{"$minute": "$timestamp"}, 0, 2 ]},
        ]},
        "temp": { "$avg": "$cpu_load_1" }
     }},
     {"$sort": { "_id": 1 }}
])

client.close()
for x in data:
   print(x)





